Re: [Rd] Problem during "make" with the devel version R-2.3.0 under Sun OS

From: Prof Brian Ripley <ripley_at_stats.ox.ac.uk>
Date: Thu 23 Feb 2006 - 20:57:34 GMT

This is a compiler error (generating invalid assembler), not an R error. What compiler version is this?

I have no problem compiling the current R-devel (37422) on Solaris with gcc-3.4.5 or gcc-4.0.2 (and using the Sun assembler as you are). I have seen problems with plot3d with earlier versions of gcc-4.

On Thu, 23 Feb 2006, Simon Penel wrote:

> Hello R users and developers,
>
> I had a problem when I tried to install the last version of R-devel.
> I know that this R version is an unstable version and that this problem
> may be irrelevant.
> I am maintaining a R package thus I check if this package can be
> installed with the development version.
> ( Everinthing is fine with the R-patched)
>
> The details are the following:
>
> My machine:
> System: SunOS
> Release: 5.9
> Kernel ID : Generic_117171-07
> Machine : sun4u
> Processor :sparc
> Platform : SUNW Sun-Fire-880
>
> R version
> 2.3.0 Under development (unstable)
>
> SVN:
> Revision: 37414
> Last Changed Date: 2006-02-22
>
> Results affer configure:
>
> R is now configured for sparc-sun-solaris2.9
>
> Source directory: .
> Installation directory: /usr/local
>
> C compiler: gcc -g -O2 -std=gnu99
> Fortran 77 compiler: g77 -g -O2
>
> C++ compiler: g++ -g -O2
> Fortran 90/95 compiler: f90
>
> Interfaces supported: X11, tcltk
> External libraries: readline
> Additional capabilities: PNG, JPEG, iconv, MBCS, NLS
> Options enabled: R profiling
>
>
> The problem during make:
>
>
> gcc -I../../src/extra/zlib -I../../src/extra/bzip2
> -I../../src/extra/pcre -I. -I../../src/include -I../../src/include
> -I/usr/local/include -DHAVE_CONFIG_H -g -O2 -std=gnu99 -c plot.c -o plot.o
> gcc -I../../src/extra/zlib -I../../src/extra/bzip2
> -I../../src/extra/pcre -I. -I../../src/include -I../../src/include
> -I/usr/local/include -DHAVE_CONFIG_H -g -O2 -std=gnu99 -c plot3d.c -o
> plot3d.o
> /usr/ccs/bin/as: "/tmp/ccYv732b.s", line 7057: error: constant value
> must be between -4096 and 4095
> make[3]: *** [plot3d.o] Error 1
> make[3]: Leaving directory `/bge/penel/R-devel/src/main'
> make[2]: *** [R] Error 2
> make[2]: Leaving directory `/bge/penel/R-devel/src/main'
> make[1]: *** [R] Error 1
> make[1]: Leaving directory `/bge/penel/R-devel/src'
> make: *** [R] Error 1
>
> I did not found any report about this problem in the R-devel archives .
> Should I wait and try a next version of R-devel?
>
> thanks for your help, I hope this mail is not irrelevant
>
> Simon
>
> ______________________________________________
> R-devel@r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-devel
>
>

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

______________________________________________
R-devel@r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Fri Feb 24 08:24:10 2006

This archive was generated by hypermail 2.1.8 : Fri 24 Feb 2006 - 10:15:55 GMT